#command line parameters
data=$1 #alignment file (input)
prefix=$2 #prefix for output, default = alignment file name
if [ "$prefix" = "" ]; then prefix=$data; fi
#run phyml
	PhyML_3.0 -i $data -m 012210 -f e -v e -a e -o tlr --print_site_lnl
#parse output from PhyML
	phymlOut="$data"_phyml_stats.txt
	#nucleotide frequencies
		#base A
		fA=`cat $phymlOut | grep "f(A)=" | cut -d = -f2`; 
		pA=$(echo "scale=9; $fA*100" | bc);
		#base C
		fC=`cat $phymlOut | grep "f(C)=" | cut -d = -f2`;
	        pC=$(echo "scale=9; $fC*100" | bc);
		#base G
		fG=`cat $phymlOut | grep "f(G)=" | cut -d = -f2`;
	        pG=$(echo "scale=9; $fG*100" | bc);

	#rate matrix
	AC=`cat $phymlOut | grep "A <-> C" | cut -d "C" -f2`;
	AG=`cat $phymlOut | grep "A <-> G" | cut -d "G" -f2`;
	AT=`cat $phymlOut | grep "A <-> T" | cut -d "T" -f2`;
	CG=`cat $phymlOut | grep "C <-> G" | cut -d "G" -f2`;
	CT=`cat $phymlOut | grep "C <-> T" | cut -d "T" -f2`;
	GT=`cat $phymlOut | grep "G <-> T" | cut -d "T" -f2`;

	#alpha-rate
	alpha=`cat $phymlOut | grep "Gamma shape parameter:" | cut -d : -f2`;
	cats=`cat $phymlOut | grep "Number of categories:" | cut -d : -f2`;

	#invariant site
        inva=`cat $phymlOut | grep "Proportion of invariant: " | cut -d : -f2`;
	
#output to puzzle-param
	pzFile="$data".puzzle-param
	echo > $pzFile
        echo d >> $pzFile
        echo m >> $pzFile
        echo m >> $pzFile
        echo 1 >> $pzFile
        echo $AC >> $pzFile
        echo 2 >> $pzFile
        echo $AG >> $pzFile
        echo 3 >> $pzFile
        echo $AT >> $pzFile
        echo 4 >> $pzFile
        echo $CG >> $pzFile
        echo 5 >> $pzFile
        echo $CT >> $pzFile
        echo 6 >> $pzFile
        echo $GT >> $pzFile
        echo f >> $pzFile
        echo $pA >> $pzFile
        echo $pC >> $pzFile
        echo $pG >> $pzFile
	echo w >> $pzFile
        echo w >> $pzFile
        echo w >> $pzFile
        echo i >> $pzFile
        echo $inva >> $pzFile
        echo a >> $pzFile
        echo $alpha >> $pzFile
	echo c >> $pzFile
	echo $cats >> $pzFile	
	echo y >> $pzFile

#run misfits	
	misfits-1.0 -a $data -t "$data"_phyml_tree.txt -pz $pzFile -mdf 7 -ciBr -prefix $prefix
